class DockerGen < Formula
  desc "Generate files from docker container metadata"
  homepage "https://github.com/nginx-proxy/docker-gen"
  url "https://github.com/nginx-proxy/docker-gen/archive/refs/tags/0.14.0.tar.gz"
  sha256 "3b8c6045a7657207c255d0353fff79d8966f0c7709f1b53800e851631bfab7c0"
  license "MIT"
  head "https://github.com/nginx-proxy/docker-gen.git", branch: "main"

  depends_on "go" => :build

  def install
    ldflags = "-s -w -X main.buildVersion=#{version}"
    system "go", "build", *std_go_args(ldflags:), "./cmd/docker-gen"
  end

  test do
    assert_match version.to_s, shell_output("#{bin}/docker-gen --version")
  end
end
